<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="birthday_vtt_data" language="groovy" pageWidth="650" pageHeight="802" whenNoDataType="AllSectionsNoDetail" columnWidth="650" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd') as ngay_ht,to_char(sysdate,'mm') as thang_ht ,to_char(sysdate,'yyyy') as nam_ht  from dual]]>
		</queryString>
		<field name="NGAY_HT" class="java.lang.String"/>
		<field name="THANG_HT" class="java.lang.String"/>
		<field name="NAM_HT" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nam" class="java.lang.String"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<parameter name="khuvuc" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= ADMIN_V2.pkg_birthday.report_sms('{p0khuvuc}','{p0tungay}','{p0denngay}') ;end;]]>
	</queryString>
	<field name="khuvuc_id" class="java.lang.String"/>
	<field name="group_id" class="java.lang.String"/>
	<field name="date_" class="java.lang.String"/>
	<field name="send_sms_ob" class="java.lang.String"/>
	<field name="send_sms" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="183" splitType="Stretch">
			<staticText>
				<reportElement x="308" y="50" width="341" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="308" y="34" width="341" height="16"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Độc lập tự do hạnh phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="308" y="15" width="341" height="19"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa việt Nam]]></text>
			</staticText>
			<image>
				<reportElement x="26" y="26" width="160" height="38"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="0" y="71" width="650" height="23"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[BÁO CÁO TỔNG HỢP THUÊ BAO CMSN]]></text>
			</staticText>
			<textField>
				<reportElement x="385" y="94" width="265" height="39"/>
				<box topPadding="10"/>
				<textElement verticalAlignment="Top">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay_ht").toString()+" tháng "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang_ht").toString()+" "+$P{nam}+" "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam_ht").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="17" y="161" width="31" height="19"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="6" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="48" y="161" width="52" height="19"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="6" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[TỈNH]]></text>
			</staticText>
			<staticText>
				<reportElement x="100" y="161" width="51" height="19"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="6" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[NHÓM]]></text>
			</staticText>
			<staticText>
				<reportElement x="151" y="161" width="66" height="19"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="6" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[SỐ TB ]]></text>
			</staticText>
			<staticText>
				<reportElement x="276" y="161" width="62" height="19"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="6" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[SỐ TB CHUYỂN CP TẶNG QUÀ]]></text>
			</staticText>
			<staticText>
				<reportElement x="218" y="161" width="58" height="19"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="6" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[SỐ TB CHUYỂN CP TẶNG GÓI]]></text>
			</staticText>
		</band>
	</title>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="48" y="0" width="52" height="20"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{khuvuc_id}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="17" y="0" width="31" height="20"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="100" y="0" width="51" height="20"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{group_id}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="151" y="0" width="66" height="20"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{date_}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="276" y="0" width="61" height="20"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{send_sms}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement x="218" y="0" width="58" height="20"/>
				<box topPadding="1">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{send_sms_ob}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="20" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="18" splitType="Stretch">
			<textField>
				<reportElement x="338" y="0" width="281" height="18"/>
				<textElement/>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="36" splitType="Stretch">
			<staticText>
				<reportElement x="481" y="3" width="138" height="19"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Người báo cáo]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
